#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/..
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### check programs ############################

tde_add_check_executable( asyncsmtpsubmittest AUTOMOC
  SOURCES asyncsmtpsubmittest.cpp
  LINK kcddb-shared
  TEST
)


tde_add_check_executable( syncsmtpsubmittest AUTOMOC
  SOURCES syncsmtpsubmittest.cpp
  LINK kcddb-shared
)


tde_add_check_executable( asynchttpsubmittest AUTOMOC
  SOURCES asynchttpsubmittest.cpp
  LINK kcddb-shared
  TEST
)


tde_add_check_executable( synchttpsubmittest AUTOMOC
  SOURCES synchttpsubmittest.cpp
  LINK kcddb-shared
)


tde_add_check_executable( asynchttplookuptest AUTOMOC
  SOURCES asynchttplookuptest.cpp
  LINK kcddb-shared
  TEST
)


tde_add_check_executable( asynccddblookuptest AUTOMOC
  SOURCES asynccddblookuptest.cpp
  LINK kcddb-shared
  TEST
)


tde_add_check_executable( synchttplookuptest AUTOMOC
  SOURCES synchttplookuptest.cpp
  LINK kcddb-shared
)


tde_add_check_executable( synccddblookuptest AUTOMOC
  SOURCES synccddblookuptest.cpp
  LINK kcddb-shared
)


tde_add_check_executable( utf8test AUTOMOC
  SOURCES utf8test.cpp
  LINK kcddb-shared
)


tde_add_check_executable( sitestest AUTOMOC
  SOURCES sitestest.cpp
  LINK kcddb-shared
)
